///////////////////////////
//	File: CBoss.h
//	Author:	Eric Green
//	Purpose: Enemy class definition
#pragma once
#include "CBase.h"
#include "IListener.h"

class CBoss :
	public CBase
{
private:
	int m_nState;
public:
	CBoss(void);
	virtual ~CBoss(void);
	
	void Update();
	void HandleEvent(CEvent* pEvent);
	void Render();
};